petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMFFDSetCheckh

Sets a function that checks the computed h and adjusts it to satisfy some criteria

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetCheckh(Mat J,PetscErrorCode (*fun)(void*,Vec,Vec,PetscScalar*),void *ctx)

Logically Collective on Mat Many br

### Input Parameters

| J | - the MatMFFD matrix Many br
| fun | - the function that checks h Many br
| ctx | - any context needed by the function Many br

### Options Database Keys

-mat_mffd_check_positivity - Many br Many br

Notes: For example, MatMFFDSetCheckPositivity() insures that all entries Many brof U + h*a are non-negative Many br

### See Also

MatMFFDSetCheckPositivity()

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages